elm::calendar Struct Reference

Public Member Functions
elm::calendar Struct Reference

Class calendar. More...

## Public Member Functions
| calendar (Eo *eo)
| Eo Constructor. More...
| calendar (std::nullptr_t)
| nullptr_t Constructor. More...
| calendar (calendar const &other)
| Copy Constructor.
void | selected_time_set (Elm_Calendar_Time *selected_time_) const
bool | selected_time_get (Elm_Calendar_Time *selected_time_) const
Elm_Calendar_Mark * | mark_add (::efl::eina::string_view mark_type_, Elm_Calendar_Time *mark_time_, Elm_Calendar_Mark_Repeat_Type repeat_) const
bool | displayed_time_get (Elm_Calendar_Time *displayed_time_) const
| calendar (::efl::eo::parent_type _p)
| Constructs a new elm::calendar object. More...

## Detailed Description

Class calendar.

## Constructor & Destructor Documentation

## ◆ calendar() [1/3]

elm::calendar::calendar | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new elm::calendar object.

Constructs a new elm::calendar object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

elm::calendar my_calendar(efl::eo::parent = parent_object);

See also
  calendar(Eo* eo)

## ◆ calendar() [2/3]

elm::calendar::calendar | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ calendar() [3/3]

elm::calendar::calendar | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ displayed_time_get()

bool elm::calendar::displayed_time_get | ( | Elm_Calendar_Time * | displayed_time_ | ) | const

Parameters

  [in,out] | displayed_time |

## ◆ mark_add()

Elm_Calendar_Mark* elm::calendar::mark_add | ( | ::efl::eina::string_view | mark_type_,
|  | Elm_Calendar_Time * | mark_time_,
|  | Elm_Calendar_Mark_Repeat_Type | repeat_
| ) |  | const

Parameters

  mark_type |
  mark_time |
  repeat |

## ◆ selected_time_get()

bool elm::calendar::selected_time_get | ( | Elm_Calendar_Time * | selected_time_ | ) | const

Parameters

  [in,out] | selected_time |

## ◆ selected_time_set()

void elm::calendar::selected_time_set | ( | Elm_Calendar_Time * | selected_time_ | ) | const

Parameters

  selected_time |